This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1312333 - python-flask-principal: Provide a Python 3 subpackage
python-flask-principal: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-flask-principal (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
  Show dependency treegraph
 
Reported: 2016-02-26 07:59 EST by Tomas Orsava
Modified: 2016-11-19 16:00 EST (History)
4 users (show)

See Also:
Fixed In Version: python-flask-principal-0.4.0-10.fc24 python-flask-principal-0.4.0-10.fc23 python-flask-principal-0.4.0-10.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-07 18:23:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding python 2 and 3 subpackages (2.79 KB, patch)
2016-07-26 13:20 EDT, Athos Ribeiro
no flags Details | Diff
Patch adding python 2 and 3 subpackages (3.43 KB, patch)
2016-08-09 23:33 EDT, Athos Ribeiro
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-02-26 07:59:00 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Dominika Krejčí 2016-06-28 09:36:31 EDT
Hello Richard,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/
Comment 2 Jan Kurik 2016-07-26 01:00:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 3 Athos Ribeiro 2016-07-26 13:20 EDT
Created attachment 1184342 [details]
Patch adding python 2 and 3 subpackages

Hello, 

I prepared a patch adding python 2 and 3 subpackages.

Here is a COPR build: https://copr.fedorainfracloud.org/coprs/ribeiro/fedora/build/422859/

If you see any problem with the patch, let me know and I will work on it, thanks.
Comment 4 Lumír Balhar 2016-08-09 04:32:00 EDT
Hello Athos.

Your patch looks very good, thank you. I have only a few suggestions:

- You can define a global macro for source name and then use %{srcname} instead 'flask-principal' in the whole specfile.
- Please, move LICENSE file from %doc to %license.
- Global macro for summary is not necessary. You can fill summary into standard Summary: and then use %{summary} macro in subpackages.

Thank you one more time for your effort.
Comment 5 Athos Ribeiro 2016-08-09 23:33 EDT
Created attachment 1189463 [details]
Patch adding python 2 and 3 subpackages

(In reply to Lumír Balhar from comment #4)
> Hello Athos.
> 

Hello, 

> Your patch looks very good, thank you. I have only a few suggestions:
> 
> - You can define a global macro for source name and then use %{srcname}
> instead 'flask-principal' in the whole specfile.
> - Please, move LICENSE file from %doc to %license.
> - Global macro for summary is not necessary. You can fill summary into
> standard Summary: and then use %{summary} macro in subpackages.
> 
> Thank you one more time for your effort.

I applied the suggested changes, here is an updated patch.

COPR build: https://copr.fedorainfracloud.org/coprs/ribeiro/fedora/build/440028/
Comment 6 Lumír Balhar 2016-08-11 08:30:57 EDT
Hello.

Specfile looks good to me now. If maintainer has nothing against we can push it after a week.

Thank you.
Comment 7 Fedora Update System 2016-08-27 12:37:44 EDT
python-flask-principal-0.4.0-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fc31e713c
Comment 8 Fedora Update System 2016-08-27 12:38:11 EDT
python-flask-principal-0.4.0-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c1537194c1
Comment 9 Fedora Update System 2016-08-27 12:38:32 EDT
python-flask-principal-0.4.0-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9132744ddc
Comment 10 Richard Marko 2016-08-27 12:39:31 EDT
Thank you all!
Comment 11 Fedora Update System 2016-08-28 05:26:34 EDT
python-flask-principal-0.4.0-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9132744ddc
Comment 12 Fedora Update System 2016-08-28 12:19:13 EDT
python-flask-principal-0.4.0-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3fc31e713c
Comment 13 Fedora Update System 2016-08-28 12:19:36 EDT
python-flask-principal-0.4.0-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c1537194c1
Comment 14 Fedora Update System 2016-11-07 18:23:31 EST
python-flask-principal-0.4.0-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-11-08 17:52:14 EST
python-flask-principal-0.4.0-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-11-19 16:00:21 EST
python-flask-principal-0.4.0-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.